Earth Engine은 공유 컴퓨팅 리소스를 보호하고 모든 사용자에게 안정적인 성능을 보장하기 위해
비상업적 할당량 등급을 도입했습니다. 비상업적 프로젝트는 기본적으로 커뮤니티 등급을 사용하지만 언제든지 프로젝트의 등급을 변경할 수 있습니다.
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.assets.get
컬렉션을 사용해 정리하기
내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.
HTTP 요청
GET https://earthengine.googleapis.com/v1beta/{name=projects/*/assets/**}
URL은 gRPC 트랜스코딩 문법을 사용합니다.
경로 매개변수
| 매개변수 |
name |
string
필수입니다. 가져올 애셋의 이름입니다. name는 'projects/*/assets/**' 형식입니다(예: "projects/earthengine-legacy/assets/users/[USER]/[ASSET]"). 모든 사용자 소유 애셋은 'earthengine-legacy' 프로젝트에 속합니다(예: "projects/earthengine-legacy/assets/users/foo/bar"). 그 밖의 모든 애셋은 'earthengine-public' 프로젝트에 속합니다(예: "projects/earthengine-public/assets/LANDSAT").
승인을 처리하려면 지정된 리소스 name에 대해 다음과 같은 IAM 권한이 필요합니다.
|
응답 본문
성공한 경우 응답 본문에 EarthEngineAsset의 인스턴스가 포함됩니다.
승인 범위
다음 OAuth 범위 중 하나가 필요합니다.
https://www.googleapis.com/auth/earthengine
https://www.googleapis.com/auth/earthengine.readonly
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/cloud-platform.read-only
자세한 내용은 OAuth 2.0 Overview를 참고하세요.
달리 명시되지 않는 한 이 페이지의 콘텐츠에는 Creative Commons Attribution 4.0 라이선스에 따라 라이선스가 부여되며, 코드 샘플에는 Apache 2.0 라이선스에 따라 라이선스가 부여됩니다. 자세한 내용은 Google Developers 사이트 정책을 참조하세요. 자바는 Oracle 및/또는 Oracle 계열사의 등록 상표입니다.
최종 업데이트: 2025-07-25(UTC)
[null,null,["최종 업데이트: 2025-07-25(UTC)"],[],["This API call retrieves detailed information about a specific asset. A `GET` request is made to the provided URL, including the asset's name in the format \"projects/*/assets/**\". User-owned assets reside under the \"earthengine-legacy\" project, while others are in \"earthengine-public\". The request body is empty, and successful responses provide an `EarthEngineAsset` instance. Authorization requires the `earthengine.assets.get` IAM permission and one of several specified OAuth scopes.\n"]]